Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.vertx.groovy.core.http
[Groovy] Class HttpServer

    java.lang.Object
      org.vertx.groovy.core.http.HttpServer

    abstract class HttpServer

An HTTP and WebSockets server

If an instance is instantiated from an event loop then the handlers of the instance will always be called on that same event loop. If an instance is instantiated from some other arbitrary Java thread then an event loop will be assigned to the instance and used when any of its handlers are called.

Instances cannot be used from worker verticles

Authors:
  Peter Ledbrook
  Tim Fox

Field Summary
`protected HttpServer` | `jServer`

Method Summary
`void` | `close(groovy.lang.Closure hndlr)` Close the server.
`void` | `close()` Close the server.
`java.lang.Integer` | `getAcceptBacklog()` @return The accept backlog
`java.lang.String` | `getKeyStorePassword()` @return The keystore password
`java.lang.String` | `getKeyStorePath()` @return The path to the key store
`java.lang.Integer` | `getReceiveBufferSize()` @return The TCP receive buffer size
`groovy.lang.Closure` | `getRequestHandler()` Get the request handler return The request handler
`java.lang.Integer` | `getSendBufferSize()` @return The TCP send buffer size
`java.lang.Integer` | `getTrafficClass()` @return the value of TCP traffic class
`java.lang.String` | `getTrustStorePassword()` @return The trust store password
`java.lang.String` | `getTrustStorePath()` @return The trust store path
`groovy.lang.Closure` | `getWebsocketHandler()` Get the websocket handler return The websocket handler
`java.lang.Boolean` | `isReuseAddress()` @return The value of TCP reuse address
`boolean` | `isSSL()` @return true if this server will make SSL connections
`java.lang.Boolean` | `isSoLinger()` @return the value of TCP so linger
`java.lang.Boolean` | `isTCPKeepAlive()` @return true if TCP keep alive is enabled
`java.lang.Boolean` | `isTCPNoDelay()` @return true if Nagle's algorithm is disabled.
`HttpServer` | `listen(int port)` Tell the server to start listening on all available interfaces and port `port`
`HttpServer` | `listen(int port, java.lang.String host)` Tell the server to start listening on port `port` and hostname or ip address given by `host`.
`HttpServer` | `requestHandler(groovy.lang.Closure hndlr)` Set the request handler for the server to {code requestHandler}.
`HttpServer` | `setAcceptBacklog(int backlog)` Set the accept backlog
`HttpServer` | `setClientAuthRequired(boolean required)` Set `required` to true if you want the server to request client authentication from any connecting clients.
`HttpServer` | `setKeyStorePassword(java.lang.String pwd)` Set the password for the SSL key store.
`HttpServer` | `setKeyStorePath(java.lang.String path)` Set the path to the SSL key store.
`HttpServer` | `setReceiveBufferSize(int size)` Set the TCP receive buffer size for connections created by this instance to `size` in bytes.
`HttpServer` | `setReuseAddress(boolean reuse)` Set the TCP reuseAddress setting for connections created by this instance to `reuse`.
`HttpServer` | `setSSL(boolean ssl)` If `ssl` is `true`, this signifies that any connections will be SSL connections.
`HttpServer` | `setSendBufferSize(int size)` Set the TCP send buffer size for connections created by this instance to `size` in bytes.
`HttpServer` | `setSoLinger(boolean linger)` Set the TCP soLinger setting for connections created by this instance to `linger`.
`HttpServer` | `setTCPKeepAlive(boolean keepAlive)` Set the TCP keepAlive setting for connections created by this instance to `keepAlive`.
`HttpServer` | `setTCPNoDelay(boolean tcpNoDelay)` If `tcpNoDelay` is set to `true` then Nagle's algorithm will turned off for the TCP connections created by this instance.
`HttpServer` | `setTrafficClass(int trafficClass)` Set the TCP trafficClass setting for connections created by this instance to `trafficClass`.
`HttpServer` | `setTrustStorePassword(java.lang.String pwd)` Set the password for the SSL trust store.
`HttpServer` | `setTrustStorePath(java.lang.String path)` Set the path to the SSL trust store.
`HttpServer` | `toJavaServer()`
`HttpServer` | `websocketHandler(groovy.lang.Closure hndlr)` Set the websocket handler for the server to {code wsHandler}.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### jServer

    protected HttpServer jServer

Method Detail

### close

    void close(groovy.lang.Closure hndlr)

  Close the server. Any open HTTP connections will be closed. The {code hndlr} will be called when the close is complete.

### close

    void close()

  Close the server. Any open HTTP connections will be closed.

### getAcceptBacklog

    java.lang.Integer getAcceptBacklog()

  Returns:
    The accept backlog

### getKeyStorePassword

    java.lang.String getKeyStorePassword()

  Returns:
    The keystore password

### getKeyStorePath

    java.lang.String getKeyStorePath()

  Returns:
    The path to the key store

### getReceiveBufferSize

    java.lang.Integer getReceiveBufferSize()

  Returns:
    The TCP receive buffer size

### getRequestHandler

    groovy.lang.Closure getRequestHandler()

  Get the request handler return The request handler

### getSendBufferSize

    java.lang.Integer getSendBufferSize()

  Returns:
    The TCP send buffer size

### getTrafficClass

    java.lang.Integer getTrafficClass()

  Returns:
    the value of TCP traffic class

### getTrustStorePassword

    java.lang.String getTrustStorePassword()

  Returns:
    The trust store password

### getTrustStorePath

    java.lang.String getTrustStorePath()

  Returns:
    The trust store path

### getWebsocketHandler

    groovy.lang.Closure getWebsocketHandler()

  Get the websocket handler return The websocket handler

### isReuseAddress

    java.lang.Boolean isReuseAddress()

  Returns:
    The value of TCP reuse address

### isSSL

    boolean isSSL()

  Returns:
    true if this server will make SSL connections

### isSoLinger

    java.lang.Boolean isSoLinger()

  Returns:
    the value of TCP so linger

### isTCPKeepAlive

    java.lang.Boolean isTCPKeepAlive()

  Returns:
    true if TCP keep alive is enabled

### isTCPNoDelay

    java.lang.Boolean isTCPNoDelay()

  Returns:
    true if Nagle's algorithm is disabled.

### listen

    HttpServer listen(int port)

  Tell the server to start listening on all available interfaces and port `port`
  Returns:
    a reference to this, so methods can be chained.

### listen

    HttpServer listen(int port, java.lang.String host)

  Tell the server to start listening on port `port` and hostname or ip address given by `host`.
  Returns:
    a reference to this, so methods can be chained.

### requestHandler

    HttpServer requestHandler(groovy.lang.Closure hndlr)

  Set the request handler for the server to {code requestHandler}. As HTTP requests are received by the server, instances of {link HttpServerRequest} will be created and passed to this handler. return a reference to this, so methods can be chained.

### setAcceptBacklog

    HttpServer setAcceptBacklog(int backlog)

  Set the accept backlog
  Returns:
    a reference to this so multiple method calls can be chained together

### setClientAuthRequired

    HttpServer setClientAuthRequired(boolean required)

  Set `required` to true if you want the server to request client authentication from any connecting clients. This is an extra level of security in SSL, and requires clients to provide client certificates. Those certificates must be added to the server trust store.
  Returns:
    A reference to this, so multiple invocations can be chained together.

### setKeyStorePassword

    HttpServer setKeyStorePassword(java.lang.String pwd)

  Set the password for the SSL key store. This method should only be used in SSL mode, i.e. after setSSL(boolean) has been set to `true`.

  Returns:
    A reference to this, so multiple invocations can be chained together.

### setKeyStorePath

    HttpServer setKeyStorePath(java.lang.String path)

  Set the path to the SSL key store. This method should only be used in SSL mode, i.e. after setSSL(boolean) has been set to `true`.

  The SSL key store is a standard Java Key Store, and should contain the server certificate.

  Returns:
    A reference to this, so multiple invocations can be chained together.

### setReceiveBufferSize

    HttpServer setReceiveBufferSize(int size)

  Set the TCP receive buffer size for connections created by this instance to `size` in bytes.
  Returns:
    a reference to this so multiple method calls can be chained together

### setReuseAddress

    HttpServer setReuseAddress(boolean reuse)

  Set the TCP reuseAddress setting for connections created by this instance to `reuse`.
  Returns:
    a reference to this so multiple method calls can be chained together

### setSSL

    HttpServer setSSL(boolean ssl)

  If `ssl` is `true`, this signifies that any connections will be SSL connections.
  Returns:
    A reference to this, so multiple invocations can be chained together.

### setSendBufferSize

    HttpServer setSendBufferSize(int size)

  Set the TCP send buffer size for connections created by this instance to `size` in bytes.
  Returns:
    a reference to this so multiple method calls can be chained together

### setSoLinger

    HttpServer setSoLinger(boolean linger)

  Set the TCP soLinger setting for connections created by this instance to `linger`.
  Returns:
    a reference to this so multiple method calls can be chained together

### setTCPKeepAlive

    HttpServer setTCPKeepAlive(boolean keepAlive)

  Set the TCP keepAlive setting for connections created by this instance to `keepAlive`.
  Returns:
    a reference to this so multiple method calls can be chained together

### setTCPNoDelay

    HttpServer setTCPNoDelay(boolean tcpNoDelay)

  If `tcpNoDelay` is set to `true` then Nagle's algorithm will turned off for the TCP connections created by this instance.
  Returns:
    a reference to this so multiple method calls can be chained together

### setTrafficClass

    HttpServer setTrafficClass(int trafficClass)

  Set the TCP trafficClass setting for connections created by this instance to `trafficClass`.
  Returns:
    a reference to this so multiple method calls can be chained together

### setTrustStorePassword

    HttpServer setTrustStorePassword(java.lang.String pwd)

  Set the password for the SSL trust store. This method should only be used in SSL mode, i.e. after setSSL(boolean) has been set to `true`.

  Returns:
    A reference to this, so multiple invocations can be chained together.

### setTrustStorePath

    HttpServer setTrustStorePath(java.lang.String path)

  Set the path to the SSL trust store. This method should only be used in SSL mode, i.e. after setSSL(boolean) has been set to `true`.

  The trust store is a standard Java Key Store, and should contain the certificates of any clients that the server trusts - this is only necessary if client authentication is enabled.

  Returns:
    A reference to this, so multiple invocations can be chained together.

### toJavaServer

    HttpServer toJavaServer()

### websocketHandler

    HttpServer websocketHandler(groovy.lang.Closure hndlr)

  Set the websocket handler for the server to {code wsHandler}. If a websocket connect handshake is successful a new {link WebSocket} instance will be created and passed to the handler. return a reference to this, so methods can be chained.

Groovy Documentation